#
# spec file for package perl-ExtUtils-MakeMaker-CPANfile
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-ExtUtils-MakeMaker-CPANfile
Version:        0.09
Release:        1.21
%define cpan_name ExtUtils-MakeMaker-CPANfile
Summary:        Cpanfile Support for Eumm
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::Converter) >= 2.141170
BuildRequires:  perl(Module::CPANfile)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version) >= 0.76
Requires:       perl(CPAN::Meta::Converter) >= 2.141170
Requires:       perl(Module::CPANfile)
Requires:       perl(Test::More) >= 0.88
Requires:       perl(version) >= 0.76
%{perl_requires}

%description
ExtUtils::MakeMaker::CPANfile loads 'cpanfile' in your distribution and
modifies parameters for 'WriteMakefile' in your Makefile.PL. Just use it
instead of ExtUtils::MakeMaker (which should be loaded internally), and
prepare 'cpanfile'.

As of version 0.03, ExtUtils::MakeMaker::CPANfile also removes
WriteMakefile parameters that the installed version of ExtUtils::MakeMaker
doesn't know, to avoid warnings.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md
%license LICENSE

%changelog
* Sat Dec 29 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.09
  see /usr/share/doc/packages/perl-ExtUtils-MakeMaker-CPANfile/Changes
  0.09  2018/12/28
  - fixed tests not to fail when $^X contains spaces
    (RT-125074)
* Wed Jun 21 2017 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-ExtUtils-MakeMaker-CPANfile/Changes
  0.08  2017/06/18
  - fixed to convert META_ADD/MERGE properly when 2.0 elements
    are found (RT-122124)
* Thu Dec 10 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-ExtUtils-MakeMaker-CPANfile/Changes
  0.07  2015/12/09
  - supported recommends, suggests, conflicts
* Mon Sep  1 2014 coolo@suse.com
- initial package 0.06
  * created by cpanspec 1.78.08
